### Function

# GtkSource utils_escape_search_text

#### Declaration [src]

    gchar*
    gtk_source_utils_escape_search_text (
      const gchar* text
    )

#### Description [src]

Use this function to escape the following characters: `\n`, `\r`, `\t` and `\`.

For a regular expression search, use `g_regex_escape_string()` instead.

One possible use case is to take the `GtkTextBuffer`‘s selection and put it in a search entry. The selection can contain tabulations, newlines, etc. So it’s better to escape those special characters to better fit in the search entry.

See also: `gtk_source_utils_unescape_search_text()`.

Warning: the escape and unescape functions are not reciprocal! For example, escape (unescape ()) = . So avoid cycles such as: search entry -> unescape -> search settings -> escape -> search entry. The original search entry text may be modified. .

#### Parameters

`text`

  Type: `const gchar*`

  The text to escape.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

The escaped `text`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.